"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.unzip = unzip;
exports.convertXmlToJson = convertXmlToJson;
exports.toBase64 = toBase64;
const adm_zip_1 = __importDefault(require("adm-zip"));
const xml2js_1 = __importDefault(require("xml2js"));
async function unzip(book) {
    const zip = new adm_zip_1.default(book);
    const zip_entries = zip.getEntries();
    return await Promise.all(zip_entries.map((zip_entry) => {
        return {
            path: zip_entry.entryName,
            data: zip_entry.getData(),
        };
    }));
}
async function convertXmlToJson(buffer, options = {}) {
    const parser = new xml2js_1.default.Parser({ trim: true, ...options });
    return await new Promise((resolve, reject) => {
        parser.parseString(buffer.toString('utf-8'), (error, result) => {
            if (error) {
                reject(error);
            }
            resolve(result);
        });
    });
}
function toBase64(buffer, mimetype) {
    return `data:${mimetype};base64,${buffer.toString('base64')}`;
}
//# sourceMappingURL=index.js.map